Subject: [Xml-sg-cmt] FYI re: appendix-specific links (the effect of Ticket 581's resolution)

From: Alice Russo <[email-masked]>
Date: Thu, 4 Nov 2021 11:52:59 -0700

CMT,
[I'll add this for Nov 22 agenda, but here's the info.]

This has come up a few times - editors asking me why the link created by the xref doesn't work. Here's a summary; open to correction if I've misunderstood.

Example:
Looking at RFC 9080 (https://www.rfc-editor.org/rfc/rfc9080.html)

In XML, <xref target="RFC8661" sectionFormat="of" section="A"/> yields
HTML: Appendix A <https://www.rfc-editor.org/rfc/rfc8966#appendix-A> of [RFC8966 <https://www.rfc-editor.org/rfc/rfc9080.html#RFC8966>]
 where the first link is:
https://www.rfc-editor.org/rfc/rfc8966#appendix-A

The # portion doesn't resolve (it just goes to the top of the page) because of the decision to change what the preptool does, IIUC.

(i.e., "section-appendix.a" is the id used in the prepped XML
https://www.rfc-editor.org/rfc/rfc8966#section-appendix.a
This form was abandoned.)

For background: A link of that kind used to work and has been changed to not work. This was due to the fix for this ticket:
https://trac.ietf.org/trac/xml2rfc/ticket/581

It was an intentional decision to break the appendix-specific links, as documented in comment 10 on that same ticket (https://trac.ietf.org/trac/xml2rfc/ticket/581#comment:10) as follows. Robert wrote:

> We discussed this in the cmt call on 10May2021 and want to move forward with the updated plan.

> We think it may introduce issues pointing to the appendices RFCs after 8650 and before those produced after this change is rolled in, but that's an acceptable issue that we can work with if trouble arises.

(The 'may' is a 'does', as I detailed in the thread w/ Jennifer at the time.)

Thanks,
Alice

---

From: Alice Russo <[email-masked]>
Date: Thu, 4 Nov 2021 12:09:46 -0700

2 clarifications.

> doesn't work.
should be 
doesn't work as expected.

(It works in that the link goes to the right RFC; it doesn't jump to the appendix. As noted, this was a known effect at the time of choosing the resolution.)

> (i.e., "section-appendix.a" is the id used in the prepped XML
should be
(i.e., "section-appendix.a" is the id used in the HTML generated from the XML

Thanks,
Alice

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 8 Nov 2021 13:10:26 -0700

FYI, I've created an agenda document:

https://notes.ietf.org/cmt-20211122#

---

From: "John R Levine" <[email-masked]>
Date: 8 Nov 2021 15:34:00 -0500

>>> (i.e., "section-appendix.a" is the id used in the prepped XML should be

It's both.  The preptool adds section-appendix:

Before:
>           <t pn="section-a.1.1-11">The subscriber can use this information in future attempts to establish a subscription.</t>

Now:
<           <t pn="section-appendix.a.1.1-11">The subscriber can use this information in future attempts to establish a subscription.</t>

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly